<?php

declare(strict_types=1);

namespace App\Service\DrinkType;

use App\Entity\DrinkType;
use App\Entity\Order;
use App\Entity\OrderItem;
use App\Repository\DrinkTypeRepository;
use Doctrine\Common\Collections\ArrayCollection;

final readonly class CreateNewOrderItems
{
    public function __construct(
        private DrinkTypeRepository $drinkTypeRepository,
    ) {}

    public function __invoke(Order $order): void
    {
        new ArrayCollection($this->drinkTypeRepository->findWanted())->forAll(
            fn (DrinkType $drinkType) => $order
                    ->addOrderItem(
                        new OrderItem()
                            ->setDrinkType($drinkType)
                            ->setQuantity($drinkType->getWantedStock() - $drinkType->getCurrentStock())
                    ),
        );
    }
}
